Interface for options supplied to ConnectionPropsForSessCfg.addPropsOrPrompt()

export
interface

  ISession

### Type parameters

- #### SessCfgType: ISession = ISession

### Hierarchy

- IOptionsForAddConnProps

## Index

### Properties

- autoStore
- defaultTokenType
- doPrompting
- parms
- propertyOverrides
- propsToPromptFor
- requestToken
- serviceDescription
- supportedAuthTypes

### Methods

- getValuesBack

## Properties

### Optional autoStore

autoStore: boolean

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:90

Specifies if properties that the user was prompted for should be automatically stored in profiles. Defaults to true when team config exists.

### Optional defaultTokenType

defaultTokenType: SessConstants.TOKEN_TYPE_CHOICES

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:47

Specifies the default token type if not provided on the command line. Some commands such as "auth login" do not have a "tokenType" command line option, but still need to specify a default token type. The default value is TOKEN_TYPE_JWT.

### Optional doPrompting

doPrompting: boolean

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:39

Indicates that want to prompt for user name and password when no form of credentials are supplied. CLI programs typically want this to be true. A GUI app calling the API may do its own prompting in the GUI and would set this value to false. The default value is true.

### Optional parms

parms: IHandlerParameters

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:77

Specifies full command parameter object if running in a CLI environment (versus) as a Node.js SDK

memberof

  IOptionsForAddConnProps

### Optional propertyOverrides

propertyOverrides: IOverridePromptConnProps<SessCfgType>[]

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:53

Specifies a list of authentication properties, and what they should override. If one of these properties is available on the session, do not prompt for the other property.

### Optional propsToPromptFor

propsToPromptFor: IPropsToPromptFor<SessCfgType>[]

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:59

Allows passing additional properties for which to prompt. Used in cases of an incorrect or missing key passphrase.

### Optional requestToken

requestToken: boolean

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:30

Indicates that we want to generate a token. When true, we use the user and password for the operation to obtain a token. This applies during a login command. Otherwise, you typically want this to be false. The default value is false.

### Optional serviceDescription

serviceDescription: string

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:83

Specifies the description of your service to be used in CLI prompt messages. If undefined, the default value is "your service".

### Optional supportedAuthTypes

supportedAuthTypes: AUTH_TYPE_CHOICES[]

- Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:96

Specifies list of authentication types that are supported for your service. Defaults to allow all authentication types.

## Methods

### Optional getValuesBack

- getValuesBack(properties: string[]): {}

- - Defined in @zowe/imperative/src/rest/src/session/doc/IOptionsForAddConnProps.ts:69

  Specifies the functionality that external applications will use for prompting. Activate this function to get all the needed properties

  example

    const connectableSessCfg = await ConnectionPropsForSessCfg.addPropsOrPrompt( sessCfg, commandParameters.arguments, {getValuesBack: YourOwnFunction} );

  #### Parameters

  - ##### properties: string[]

  #### Returns {}

  - ##### [key: string]: any

Generated using TypeDoc